#pragma once

#include <iostream>
#include <vector>
#include <string>



namespace lib_geo
{


class ObjMesh;


class ObjMeshWriter
{
public:
	bool Save( const ObjMesh& mesh , const std::string& i_Filename ) const;
	bool SaveStream( const ObjMesh& mesh , std::ostream& ost ) const;

protected:
	bool SaveObjMain( const ObjMesh& mesh , std::ostream& ost ) const;
};


}
